package com.mortals.xhx.module.matter.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.matter.model.vo.UserMatterApplyVo;
/**
* 用户申报信息实体对象
*
* @author zxfei
* @date 2023-04-10
*/

public class UserMatterApplyEntity extends UserMatterApplyVo {
    private static final long serialVersionUID = 1L;

    /**
    * 站点id
    */
    private Long userId;
    /**
    * 事项ID
    */
    private Long matterId;
    /**
    * 事项名称
    */
    private String matterName;
    /**
    * 事项编码
    */
    private String matterCode;
    /**
    * 申报编号
    */
    private String applyCode;
    /**
    * 申报地址名称
    */
    private String applyAddr;
    /**
    * 申报设备名称
    */
    private String deviceName;
    /**
    * 申请人姓名
    */
    private String applyPerson;



    public UserMatterApplyEntity(){}
    /**
    * 获取 站点id
    * @return Long
    */
    public Long getUserId(){
        return userId;
    }
    /**
    * 设置 站点id
    * @param userId
    */
    public void setUserId(Long userId){
        this.userId = userId;
    }
    /**
    * 获取 事项ID
    * @return Long
    */
    public Long getMatterId(){
        return matterId;
    }
    /**
    * 设置 事项ID
    * @param matterId
    */
    public void setMatterId(Long matterId){
        this.matterId = matterId;
    }
    /**
    * 获取 事项名称
    * @return String
    */
    public String getMatterName(){
        return matterName;
    }
    /**
    * 设置 事项名称
    * @param matterName
    */
    public void setMatterName(String matterName){
        this.matterName = matterName;
    }
    /**
    * 获取 事项编码
    * @return String
    */
    public String getMatterCode(){
        return matterCode;
    }
    /**
    * 设置 事项编码
    * @param matterCode
    */
    public void setMatterCode(String matterCode){
        this.matterCode = matterCode;
    }
    /**
    * 获取 申报编号
    * @return String
    */
    public String getApplyCode(){
        return applyCode;
    }
    /**
    * 设置 申报编号
    * @param applyCode
    */
    public void setApplyCode(String applyCode){
        this.applyCode = applyCode;
    }
    /**
    * 获取 申报地址名称
    * @return String
    */
    public String getApplyAddr(){
        return applyAddr;
    }
    /**
    * 设置 申报地址名称
    * @param applyAddr
    */
    public void setApplyAddr(String applyAddr){
        this.applyAddr = applyAddr;
    }
    /**
    * 获取 申报设备名称
    * @return String
    */
    public String getDeviceName(){
        return deviceName;
    }
    /**
    * 设置 申报设备名称
    * @param deviceName
    */
    public void setDeviceName(String deviceName){
        this.deviceName = deviceName;
    }
    /**
    * 获取 申请人姓名
    * @return String
    */
    public String getApplyPerson(){
        return applyPerson;
    }
    /**
    * 设置 申请人姓名
    * @param applyPerson
    */
    public void setApplyPerson(String applyPerson){
        this.applyPerson = applyPerson;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof UserMatterApplyEntity) {
            UserMatterApplyEntity tmp = (UserMatterApplyEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",userId:").append(getUserId());
        sb.append(",matterId:").append(getMatterId());
        sb.append(",matterName:").append(getMatterName());
        sb.append(",matterCode:").append(getMatterCode());
        sb.append(",applyCode:").append(getApplyCode());
        sb.append(",applyAddr:").append(getApplyAddr());
        sb.append(",deviceName:").append(getDeviceName());
        sb.append(",applyPerson:").append(getApplyPerson());
        return sb.toString();
    }

    public void initAttrValue(){

            this.userId = null;

            this.matterId = null;

            this.matterName = "";

            this.matterCode = "";

            this.applyCode = "";

            this.applyAddr = "";

            this.deviceName = "";

            this.applyPerson = "";
    }
}